Create OTT template
curl --request POST \
--url https://api-message.nativehub.live/api/v1/ott/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel_id": "f8a9b0c1-d2e3-4567-fa89-012345678901",
"name": "Welcome Message",
"body": "Hello {{name}}, welcome to our service!",
"variables": {
"name": "string"
}
}
'import requests
url = "https://api-message.nativehub.live/api/v1/ott/templates"
payload = {
"channel_id": "f8a9b0c1-d2e3-4567-fa89-012345678901",
"name": "Welcome Message",
"body": "Hello {{name}}, welcome to our service!",
"variables": { "name": "string" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel_id: 'f8a9b0c1-d2e3-4567-fa89-012345678901',
name: 'Welcome Message',
body: JSON.stringify('Hello {{name}}, welcome to our service!'),
variables: {name: 'string'}
})
};
fetch('https://api-message.nativehub.live/api/v1/ott/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a9b0c1d2-e3f4-5678-ab90-123456789012",
"tenant_id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"channel_id": "f8a9b0c1-d2e3-4567-fa89-012345678901",
"name": "Welcome Message",
"body": "Hello {{name}}, welcome to our service!",
"variables": {
"name": "string"
},
"status": "approved",
"created_at": "2026-02-02T09:00:00Z"
}{
"error": "Invalid request parameters"
}OTT Templates
Create OTT template
Create a new OTT message template
POST
/
ott
/
templates
Create OTT template
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I